Bug 204069 - interfaces.ifNumber.0 missing
interfaces.ifNumber.0 missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
5
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 08:20 EDT by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.3.1.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 07:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2006-08-25 08:20:20 EDT
Description of problem:
There is no interfaces.ifNumber.0 variable in the net-snmp daemon.

Version-Release number of selected component (if applicable):
net-snmp-5.3-4.2

How reproducible:
100%

Steps to Reproduce:
1. configure snmpd.conf so that interfaces.* variables are accessible.
2. run snmpget -v2c -c <community> interfaces.ifNumber.0
  
Actual results:
IF-MIB::ifNumber.0 = No Such Object available on this agent at this OID

Expected results:
something like
IF-MIB::ifNumber.0 = 13


Additional info:
I have recompiled net-snmp-5.3.1.0-5 from rawhide, and apparently it works with
this package. You may want to release new packages of net-snmp for FC5 based on
the rawhide ones.
Comment 1 Radek Vokal 2006-08-28 07:15:53 EDT
Well, I'd rather close this issue as fixed in rawhide. Moving to net-snmp 5.3.1
in FC5 would require rebasing of certain packages. If this bug will hit more
users, we might consider doing that.
Comment 2 Steve Falco 2006-09-13 17:04:25 EDT
I just tripped over this bug too.  I built net-snmp-5.3.1.0-6.fc6.src.rpm for
FC5, and it fixed the problem for me.

Note You need to log in before you can comment on or make changes to this bug.